<back to all web services

RetryTranslation

The following routes are available for this service:
POST/RestApi/translations/retry
namespace Telerik.Sitefinity.Translations.Model

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    type TranslationStatus =
        | Marked = 101
        | Sending = 201
        | Sent = 202
        | Received = 301
        | Importing = 302
        | Imported = 303
        | Completed = 304
        | Archived = 401
        | Deleted = 402
        | Rejected = 403
        | SendingError = 501
        | ImportingError = 502
        | ReceivingError = 503

    [<AllowNullLiteral>]
    type RetryTranslation() = 
        member val TranslationStatus:TranslationStatus = new TranslationStatus() with get,set
        member val Ids:Guid[] = null with get,set
        member val ChangedFieldsOnly:Boolean = new Boolean() with get,set

F# RetryTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/retry HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}